Bug 127763

Summary: Merge the jsCStack branch
Product: WebKit Reporter: Mark Hahnenberg <mhahnenberg>
Component: JavaScriptCoreAssignee: Michael Saboff <msaboff>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, bfulgham, buildbot, bunhere, cmarcelo, commit-queue, gyuyoung.kim, jbriance, mkwst, rakuco, rniwa, roger_fong, sergio, syoichi, zan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 127777, 127773, 127776, 127856, 127903, 127904    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2
none
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion
none
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2
none
Archive of layout-test-results from webkit-ews-01 for mac-mountainlion
none
patch for EWS, integrated to the original patch with one more fix
none
Patch
none
Patch
none
Patch
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion
none
Updated patch that build with ENABLE_LLINT_C_LOOP=1
none
Patch with added missing files
none
Updated patch with speculative build fix for Windows mhahnenberg: review+

Description Mark Hahnenberg 2014-01-27 22:52:55 PST
I filed this mostly to see if the EWS bots could chew on this for a while.
Comment 1 Mark Hahnenberg 2014-01-27 23:00:52 PST
Created attachment 222406 [details]
Patch
Comment 2 WebKit Commit Bot 2014-01-27 23:03:58 PST
Attachment 222406 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/jit/JITCode.h:221:  The parameter name "ref" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITCode.h:244:  The parameter name "ref" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/bytecode/DFGExitProfile.h:58:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/Repatch.cpp:1497:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:315:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  The parameter name "codeBlock" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/ScriptBreakpoint.h:7:  "JavaScriptCore/ScriptBreakpoint.h" already included at Source/WebCore/ForwardingHeaders/inspector/ScriptBreakpoint.h:3  [build/include] [4]
ERROR: Source/JavaScriptCore/jit/JITOperations.cpp:704:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/runtime/VM.h:71:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:165:  The parameter name "kind" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:169:  Wrong number of spaces before statement. (expected: 24)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:172:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExitCompiler.cpp:38:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:159:  __rcf_exec is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:1423:  llint_throw_stack_overflow_error is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:1433:  llint_stack_check_at_vm_entry is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:34:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:35:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/jit/ArityCheckFailReturnThunks.cpp:62:  Declaration has space between type name and * in m_nextSize * 2  [whitespace/declaration] [3]
ERROR: Source/JavaScriptCore/interpreter/Interpreter.cpp:654:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/JavaScriptCore/interpreter/Interpreter.cpp:655:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/JavaScriptCore/ftl/FTLUnwindInfo.h:44:  The parameter name "gpr" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLUnwindInfo.h:45:  The parameter name "gpr" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLAbstractHeap.cpp:181:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLAbstractHeap.cpp:191:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/WebCore/ForwardingHeaders/yarr/RegularExpression.h:7:  "JavaScriptCore/RegularExpression.h" already included at Source/WebCore/ForwardingHeaders/yarr/RegularExpression.h:3  [build/include] [4]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:62:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:66:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/ScriptDebugListener.h:7:  "JavaScriptCore/ScriptDebugListener.h" already included at Source/WebCore/ForwardingHeaders/inspector/ScriptDebugListener.h:3  [build/include] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/ContentSearchUtilities.h:7:  "JavaScriptCore/ContentSearchUtilities.h" already included at Source/WebCore/ForwardingHeaders/inspector/ContentSearchUtilities.h:3  [build/include] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:116:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:120:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:123:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLUnwindInfo.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/dfg/DFGOSRExitBase.h:70:  The parameter name "jitType" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITCode.cpp:130:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITCode.cpp:131:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/heap/MachineStackMarker.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLLowerDFGToLLVM.cpp:126:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.cpp:134:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/CodeBlock.h:578:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/JavaScriptCore/llint/LLIntData.cpp:129:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:59:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:100:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:113:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:356:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:362:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:376:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:378:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:498:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 52 in 293 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Mark Hahnenberg 2014-01-27 23:27:59 PST
Looks like ENABLE_C_LOOP is unhappy due to using Interpreter in VM.h
Comment 4 Mark Hahnenberg 2014-01-27 23:28:41 PST
The EFL failure looks like BS.
Comment 5 Mark Hahnenberg 2014-01-27 23:29:35 PST
(In reply to comment #3)
> Looks like ENABLE_C_LOOP is unhappy due to using Interpreter in VM.h

Specifically in VM::sanitizeStackForVM.
Comment 6 Build Bot 2014-01-28 00:13:42 PST
Comment on attachment 222406 [details]
Patch

Attachment 222406 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6667972764499968

New failing tests:
js/large-expressions.html
Comment 7 Build Bot 2014-01-28 00:13:45 PST
Created attachment 222412 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 8 Build Bot 2014-01-28 01:02:53 PST
Comment on attachment 222406 [details]
Patch

Attachment 222406 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5709166211497984

New failing tests:
js/large-expressions.html
Comment 9 Build Bot 2014-01-28 01:02:58 PST
Created attachment 222416 [details]
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-06  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 10 Build Bot 2014-01-28 01:33:05 PST
Comment on attachment 222406 [details]
Patch

Attachment 222406 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6735891565379584

New failing tests:
js/large-expressions.html
Comment 11 Build Bot 2014-01-28 01:33:08 PST
Created attachment 222420 [details]
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-12  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 12 Build Bot 2014-01-28 02:46:36 PST
Comment on attachment 222406 [details]
Patch

Attachment 222406 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/6503878170247168

New failing tests:
js/large-expressions.html
Comment 13 Build Bot 2014-01-28 02:46:39 PST
Created attachment 222425 [details]
Archive of layout-test-results from webkit-ews-01 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-01  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 14 Csaba Osztrogonác 2014-01-28 06:39:49 PST
Comment on attachment 222406 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=222406&action=review

> Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:1325
> +    unsigned depthLimit;
> +    unsigned recursionLimit;
> +    if (canCompile(capabilityLevel)) {
> +        depthLimit = Options::maximumInliningDepth();
> +        recursionLimit = Options::maximumInliningRecursion();
> +    } else {
> +        depthLimit = Options::maximumInliningDepthForMustInline();
> +        recursionLimit = Options::maximumInliningRecursionForMustInline();
> +    }

This part should be removed, because it is dead code as the EFL EWS noticed.
Comment 15 Csaba Osztrogonác 2014-01-28 06:40:51 PST
Created attachment 222437 [details]
patch for EWS, integrated to the original patch with one more fix
Comment 16 Csaba Osztrogonác 2014-01-28 06:41:47 PST
Comment on attachment 222437 [details]
patch for EWS, integrated to the original patch with one more fix

uploaded to wrong bug
Comment 17 Mark Hahnenberg 2014-01-28 08:57:16 PST
Created attachment 222450 [details]
Patch
Comment 18 WebKit Commit Bot 2014-01-28 09:00:08 PST
Attachment 222450 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/jit/JITCode.h:221:  The parameter name "ref" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITCode.h:244:  The parameter name "ref" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/bytecode/DFGExitProfile.h:58:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/Repatch.cpp:1497:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:315:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  The parameter name "codeBlock" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/ScriptBreakpoint.h:7:  "JavaScriptCore/ScriptBreakpoint.h" already included at Source/WebCore/ForwardingHeaders/inspector/ScriptBreakpoint.h:3  [build/include] [4]
ERROR: Source/JavaScriptCore/jit/JITOperations.cpp:704:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/runtime/VM.h:71:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:165:  The parameter name "kind" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:169:  Wrong number of spaces before statement. (expected: 24)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:172:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/ftl/FTLOSRExitCompiler.cpp:38:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:159:  __rcf_exec is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:34:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:35:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/jit/ArityCheckFailReturnThunks.cpp:62:  Declaration has space between type name and * in m_nextSize * 2  [whitespace/declaration] [3]
ERROR: Source/JavaScriptCore/interpreter/Interpreter.cpp:654:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/JavaScriptCore/interpreter/Interpreter.cpp:655:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/JavaScriptCore/ftl/FTLUnwindInfo.h:44:  The parameter name "gpr" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLUnwindInfo.h:45:  The parameter name "gpr" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLAbstractHeap.cpp:181:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLAbstractHeap.cpp:191:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/WebCore/ForwardingHeaders/yarr/RegularExpression.h:7:  "JavaScriptCore/RegularExpression.h" already included at Source/WebCore/ForwardingHeaders/yarr/RegularExpression.h:3  [build/include] [4]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:62:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:66:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/ScriptDebugListener.h:7:  "JavaScriptCore/ScriptDebugListener.h" already included at Source/WebCore/ForwardingHeaders/inspector/ScriptDebugListener.h:3  [build/include] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/ContentSearchUtilities.h:7:  "JavaScriptCore/ContentSearchUtilities.h" already included at Source/WebCore/ForwardingHeaders/inspector/ContentSearchUtilities.h:3  [build/include] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:116:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:120:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:123:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLUnwindInfo.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/dfg/DFGOSRExitBase.h:70:  The parameter name "jitType" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITCode.cpp:130:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITCode.cpp:131:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/heap/MachineStackMarker.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/ftl/FTLLowerDFGToLLVM.cpp:126:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.cpp:134:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/CodeBlock.h:578:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/JavaScriptCore/llint/LLIntData.cpp:129:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:59:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:100:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:113:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:356:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:362:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:376:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:378:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:498:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 50 in 293 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 Mark Hahnenberg 2014-01-28 10:01:52 PST
Created attachment 222463 [details]
Patch
Comment 20 WebKit Commit Bot 2014-01-28 10:05:38 PST
Attachment 222463 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:315:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/runtime/VM.h:71:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:169:  Wrong number of spaces before statement. (expected: 24)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:172:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:159:  __rcf_exec is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:34:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:35:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:62:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:66:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:116:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:120:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:123:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/heap/MachineStackMarker.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.cpp:134:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:59:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:100:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:113:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:497:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 19 in 289 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 21 Mark Hahnenberg 2014-01-28 10:30:23 PST
(In reply to comment #19)
> Created an attachment (id=222463) [details]
> Patch

I'm not sure why Windows is failing.
Comment 22 Mark Hahnenberg 2014-01-28 10:54:14 PST
(In reply to comment #21)
> (In reply to comment #19)
> > Created an attachment (id=222463) [details] [details]
> > Patch
> 
> I'm not sure why Windows is failing.

From the build output it looks like we don't do anything when compiling the JavaScriptCore target.
Comment 23 Mark Hahnenberg 2014-01-28 11:22:39 PST
Created attachment 222468 [details]
Patch
Comment 24 WebKit Commit Bot 2014-01-28 11:24:38 PST
Attachment 222468 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:315:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/runtime/VM.h:71:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:169:  Wrong number of spaces before statement. (expected: 24)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:172:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:159:  __rcf_exec is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:34:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:35:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:62:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:66:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:116:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:120:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:123:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/heap/MachineStackMarker.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.cpp:134:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:59:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:100:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:113:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:497:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 19 in 289 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Build Bot 2014-01-28 13:25:51 PST
Comment on attachment 222468 [details]
Patch

Attachment 222468 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5369286860210176

New failing tests:
js/large-expressions.html
Comment 26 Build Bot 2014-01-28 13:25:55 PST
Created attachment 222477 [details]
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-06  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 27 Michael Saboff 2014-01-28 14:51:58 PST
Created attachment 222496 [details]
Updated patch that build with ENABLE_LLINT_C_LOOP=1

Believe this will fix Windows build, but want to see what the EWS says.
Comment 28 WebKit Commit Bot 2014-01-28 14:54:54 PST
Attachment 222496 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/bytecode/ProfiledCodeBlockJettisoningWatchpoint.cpp:67:  Could not find a newline character at the end of the file.  [whitespace/ending_newline] [5]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:315:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/runtime/VM.h:71:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:174:  Wrong number of spaces before statement. (expected: 24)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:178:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:159:  __rcf_exec is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:34:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:35:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:62:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:66:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:116:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:120:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:123:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/heap/MachineStackMarker.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.cpp:134:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:59:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:100:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:113:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:497:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 20 in 214 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 29 Michael Saboff 2014-01-28 15:42:54 PST
Created attachment 222516 [details]
Patch with added missing files

Prior patch with new files added back in.
Comment 30 WebKit Commit Bot 2014-01-28 15:45:59 PST
Attachment 222516 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/bytecode/ProfiledCodeBlockJettisoningWatchpoint.cpp:67:  Could not find a newline character at the end of the file.  [whitespace/ending_newline] [5]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:315:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/runtime/VM.h:71:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:174:  Wrong number of spaces before statement. (expected: 24)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:178:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:159:  __rcf_exec is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:34:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:35:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:62:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:66:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:116:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:120:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:123:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/heap/MachineStackMarker.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.cpp:134:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:59:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:100:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:113:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:497:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 20 in 288 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 31 Michael Saboff 2014-01-28 16:08:34 PST
Created attachment 222524 [details]
Updated patch with speculative build fix for Windows
Comment 32 WebKit Commit Bot 2014-01-28 16:12:30 PST
Attachment 222524 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/bytecode/ProfiledCodeBlockJettisoningWatchpoint.cpp:67:  Could not find a newline character at the end of the file.  [whitespace/ending_newline] [5]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:312:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/assembler/LinkBuffer.h:315:  Wrong number of spaces before statement. (expected: 9)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/runtime/VM.h:71:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:174:  Wrong number of spaces before statement. (expected: 24)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/bytecode/PutByIdStatus.cpp:178:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/llint/LLIntSlowPaths.cpp:159:  __rcf_exec is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:34:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/profiler/ProfilerCompilationKind.h:35:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:62:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/ftl/FTLSlowPathCall.h:66:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:116:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:120:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/dfg/DFGPlan.cpp:123:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/heap/MachineStackMarker.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.cpp:134:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:59:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:100:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/JavaScriptCore/jit/JITInlineCacheGenerator.h:113:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:497:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 20 in 288 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 33 Mark Hahnenberg 2014-01-29 10:41:30 PST
Comment on attachment 222524 [details]
Updated patch with speculative build fix for Windows

r=me
Comment 34 Michael Saboff 2014-01-29 11:14:21 PST
Committed r163027: <http://trac.webkit.org/changeset/163027>
Comment 35 Roger Fong 2014-01-30 11:04:29 PST
(In reply to comment #34)
> Committed r163027: <http://trac.webkit.org/changeset/163027>

Following this patch.
500+ layout test failures on Windows
http://build.webkit.org/builders/Apple%20Win%207%20Release%20%28Tests%29/builds/42167/steps/layout-test/logs/stdio

Also JSC tests don't run. After some investigating:

It's testapi that's failing. Testapi.c Ln 1602    
ASSERT(JSValueIsObject(context, result));

The script silently stops which is why we don't see any output on the bots.
Comment 36 Roger Fong 2014-01-30 13:08:22 PST
Filed bug for Windows failures: https://bugs.webkit.org/process_bug.cgi
Comment 37 Brent Fulgham 2014-01-31 17:58:02 PST
This caused all media support in the Windows port to break.